{% extends "rest_framework/base.html" %}

{% block title %}GraceDB REST API{% endblock %}

{% block branding %}
GraceDB &mdash; REST API
    {% if config_name %}
      <div style="color: red; display: inline;">({{ config_name }})</div>
    {% endif %}
{% endblock %}

{% block userlinks %}
    <li>
    {% if user.is_authenticated %}
    Authenticated as: {{ user.first_name }} {{ user.last_name }}
    </li>
    <li><a href="{% url "logout" %}">Logout</a></li>
    {% else %}
    <a href="{% url "login" %}"><b>Login</b></a>
    {% endif %}
    </li>
{% endblock %}

    {% block breadcrumbs %}
    <ul class="breadcrumb">
    	    <li><a href="{% url "home" %}">Home</a></li><span class="divider">&rsaquo;</span>
        {% for breadcrumb_name, breadcrumb_url in breadcrumblist %}
            <li>
                <a href="{{ breadcrumb_url }}" {% if forloop.last %}class="active"{% endif %}>{{ breadcrumb_name }}</a> {% if not forloop.last %}<span class="divider">&rsaquo;</span>{% endif %}
            </li>
        {% endfor %}
    </ul>
    {% endblock %}
